Subject: Re: Would setting the CONFIG_RTC option break the powerpc kernel on your machine ?

From: Sven Luther <[email-masked]>
Date: Wed, 7 Jan 2004 10:53:58 +0100

On Wed, Jan 07, 2004 at 07:30:06PM +1100, Benjamin Herrenschmidt wrote:
>
> >  1) could a #ifdef __powerpc__ not be enough ?
>
> No. _machine is only defined for the "multiarch" config (PREP/CHRP/PMAC)

Ok. I suppose it doesn't make sense also to include the #ifdef
CONFIG_ALL_PPC in a #ifdef __powerpc__ ?

> >  2) The other failures in rtc_init return -EIO, not -ENODEV.
>
> Well, in this case, -ENODEV makes more sense, though nothing really
> cares except the kind of error message the user will get when using
> it as a module.

I think i will keep it as the others for the debian package.

Friendly,

Sven Luther

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/